<div class="form-group" style="float: right; margin: 50px;">
  <div class="p-buttonset d-flex justify-content-center">
    <button pButton icon="fa fa-chevron-left" (click)="previousYearClick()" [disabled]="selectedYear.getFullYear() == 2019"></button>
    <button pButton   label="{{selectedYear.getFullYear()}}"></button>
    <button pButton icon="fa fa-chevron-right" (click)="nextYearClick()" [disabled]="selectedYear.getFullYear() === currentYear"></button>
  </div>
</div>

<div class="container-fluid p-p-5">
  <app-vacation
    [currentVacationBalance]="vacationInformation.currentVacationBalance"
    [expectedEoyVacationBalance]="vacationInformation.expectedEoyVacationBalance"
    [extraDaysOff]="vacationInformation.extraDaysOff"
    [compensatedVacationLeftovers]="compensatedVacationLeftovers"
    [employmentDate]="employmentDate"
    [isTMEmployee]="isTMEmployee"
    [terminationDate]="terminationDate"
    [firstReportedDate]="vacationInformation.firstReportedDate"
    [standingYears]="vacationInformation.standingYears"
    [minimumAllowedBalance]="vacationInformation.minimumAllowedBalance"
    [transferredBalance]="vacationInformation.transferredBalance"
    [reportedReserveDays]="vacationInformation.reportedReserveDays"
    [reportedReserveDaysForLastSixMonths]="vacationInformation.reportedReserveDaysForLastSixMonths"
    [yearData]="vacationInformation.yearData"
    [customDayOffs]="customDayOffs"
    [allCustomDayOffs]="customDayOffs"
    [year]="selectedYear.getFullYear()"
    (onUpdateEmploymentDate)="updateInformation($event)"
  ></app-vacation>
  <hr/>
  <app-sick-leave
    [providedSickLeaveDaysWithoutCertificate]="sickLeaveInformation.providedSickLeaveDaysWithoutCertificate"
    [providedSickLeaveDaysWithCertificate]="sickLeaveInformation.providedSickLeaveDaysWithCertificate"
    [providedSickLeaveDaysToBeCompensated100]="sickLeaveInformation.providedSickLeaveDaysToBeCompensated100"
    [providedSickLeaveDaysToBeCompensated75]="sickLeaveInformation.providedSickLeaveDaysToBeCompensated75"
    [withoutCertificate]="sickLeaveWithoutCertificate"
    [withCertificate]="sickLeavewithCertificate"
    [year]="selectedYear.getFullYear()"
  ></app-sick-leave>
</div>
